Update your MT4

 

Starting from Friday, October 1, 2021, the oldest MT4 version supported by trading servers will be MetaTrader 4 build 1320. This means that any MT4 version older than that will no longer be able to connect to trading servers.

We recommend that you check your MT4 version and update to the latest version if necessary.

How to check your MT4 version

1.      Open the MT4 platform.
2.      Click on “Help”.
3.      Click on “About”.
4.      Check your MT4 version.

If your version is older than MetaTrader 4 build 1320, download the latest MT4 version here.